package com.zd.exam.service;

import java.util.List;

import com.zd.exam.domain.LabCertificate;

/**
 * 证书管理Service接口
 *
 * @author zd
 * @date 2021-08-31
 */
public interface ILabCertificateService {
    /**
     * 查询证书管理
     *
     * @param id 证书管理主键
     * @return 证书管理
     */
    public LabCertificate selectLabCertificateById(Long id);

    /**
     * 查询证书管理列表
     *
     * @param labCertificate 证书管理
     * @return 证书管理集合
     */
    public List<LabCertificate> selectLabCertificateList(LabCertificate labCertificate);

    /**
     * 新增证书管理
     *
     * @param labCertificate 证书管理
     * @return 结果
     */
    public int insertLabCertificate(LabCertificate labCertificate);

    /**
     * 修改证书管理
     *
     * @param labCertificate 证书管理
     * @return 结果
     */
    public int updateLabCertificate(LabCertificate labCertificate);

    /**
     * 批量删除证书管理
     *
     * @param ids 需要删除的证书管理主键集合
     * @return 结果
     */
    public int deleteLabCertificateByIds(Long[] ids);

    /**
     * 删除证书管理信息
     *
     * @param id 证书管理主键
     * @return 结果
     */
    public int deleteLabCertificateById(Long id);
}
